### How do I get self-service access to my BOF config file?
As part of the release of BOF v2.0, clients will now have self-service access to their BOF config files. Specifically, they will be able to dynamically update their sample rate, and/or filters without having to engage the MM team. In order to gain self-service access all consumers will need an auth0 account with MediaMath. Please contact developers@mediamath.com to recieve your auth0 client id and secret and then proceed with the following steps:
Curl auth.mediamath.com with your client ID and secret
`POST https://auth.mediamath.com/oauth/token`
Example Request:

```
curl -X POST --header  'content-type: application/json' 'https://auth.mediamath.com/oauth/token' -d '{"audience": "https://api.mediamath.com/opportunity_firehose/", "grant_type":"client_credentials", "client_id":"{CLIENT_ID}", "client_secret":"{CLIENT_SECRET}"}'
```
Example Response:

```
{"access_token":"ACCESS_TOKEN_HERE","expires_in":86400,"token_type":"Bearer"}
```
Use this token here when sending requests to https://api.mediamath.com/opportunity-firehose/v2.0/
`curl -X GET -H "Authorization:Bearer ACCESS_TOKEN_HERE" 'https://api.mediamath.com/opportunity-firehose/v2.0/'`
